<!DOCTYPE html>
<html lang="en">
<head>
	<title>Tradespace - A Global Money Platform </title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css" integrity="sha512-SzlrxWUlpfuzQ+pcUCosxcglQRNAq/DZjVsC0lE40xsADsfeQoEypE+enwcOiGjk/bSuGGKHEyjSoQ1zVisanQ==" crossorigin="anonymous" referrerpolicy="no-referrer">
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css">
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
	<link href="/css/style.css" rel="stylesheet">
	<!-- Favicons -->
	<link href="/img/favicon.png" rel="icon">
	<link rel="apple-touch-icon" sizes="180x180" href="/img/apple-touch-icon.png">
	<link rel="icon" type="image/png" sizes="32x32" href="/img/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="16x16" href="/img/favicon-16x16.png">
</head>
<body>
	<section class="h-100">
		<div class="container h-100">
			<div class="row justify-content-center h-100">
				<div class="col-xxl-5 col-xl-6 col-lg-8 col-md-9 col-sm-12 col-xs-12 col-12">
					<div class="text-center">
						<img src="/img/header2.png" alt="" class="w-50">
					</div>
					<div class="cardshadow-lg">
						<div class="card-body px-3 pb-3 pt-4">
							<div class="container">
								<div class="row">
									<div class="col">
										<h2 class="fs-5 card-title fw-bold mb-4">Don't remember your password? Reset it!</h2>
							
										<div class="row">
											<div class="col">
												<div class="mb-3">
													<label class="text-muted mb-2">Username</label>
													<a href="/recovery/username" class="float-end">Forgot Username?</a>
													<input id="username" type="text" class="form-control" minlength="6" maxlength="64" placeholder="jsmith1234">
												</div>
											</div>
										</div>

										<div class="row">
											<div class="col">
												<div class="mb-3">
													<label class="text-muted mb-2">Most Recent Transfer</label>
													<input id="lastTransferDate" type="date" class="form-control" required>
												</div>
											</div>
										</div>

										<div class="row">
											<div class="col">
												<div class="mb-3">
													<label class="text-muted mb-2">A Contact's Email Address</label>
													<input id="recipEmail" type="text" class="form-control" placeholder="example@tradespace.com" minlength="6" maxlength="64">
												</div>
											</div>
										</div>

										<div class="row">
											<div class="col">
												<div class="mb-3">
													<label class="text-muted mb-2" for="address">Customer Since</label>
													<div class="input-group">
														<span class="input-group-text">Month</span>
														<select id="customerMonth" class="form-select" autocomplete="on">
															<option value="01">January</option>
															<option value="02">February</option>
															<option value="03">March</option>
															<option value="04">April</option>
															<option value="05">May</option>
															<option value="06">June</option>
															<option value="07">July</option>
															<option value="08">August</option>
															<option value="09">September</option>
															<option value="10">October</option>
															<option value="11">November</option>
															<option value="12">December</option>
														</select>
														<span class="input-group-text">Year</span>
														<input type="text" class="form-control" id="customerYear" placeholder="YYYY" maxlength="4">
													</div>
												</div>
											</div>
										</div>

										<div class="row">
											<div class="col">
												<div class="mb-3 d-flex justify-content-center">
													<button class="btn btn-primary btn-lg w-100" id="recoveryBtn">Reset Password</button>
												</div>
											</div>
										</div>

									</div>
								</div>
							</div>
						</div>

						<div class="text-center my-5 text-muted">
							Copyright &copy; 2023 &mdash; Tradespace<br>
							INFO 4190-4290 S10 Summer 2023
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>

	<div class="modal fade" id="custCareModal" tabindex="-1" aria-labelledby="custCareModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered">
		  <div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">We need to speak to you.</h5>
			  <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
			</div>
			<div class="modal-body">
				<p>We need to verify some more information about you to help recover your account.</p>
				<p>Please call our Customer Care number at anytime:<br><a href="tel:1-4TR-ADE-SPACE">1-4TR-ADE-SPACE</a></p>
			</div>
		</div>
	  </div>
	</div>

	<div class="modal fade" id="notifyModal" tabindex="-1" aria-labelledby="notifyModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="notifyModalLabel"></h5>
				</div>
				<div class="modal-body">
					<div class="container">
						<div class="row">
							<div class="col d-flex justify-content-center">
								<div id='notifyModalSpinner' class="spinner-border text-primary my-5 text-center d-none" role="status" style="width: 3rem; height: 3rem;"></div>
								<i id='notifyModalError' class="fa-solid fa-triangle-exclamation text-danger my-5 text-center d-none" style="font-size: 3rem"></i>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="modal fade" id="resetModal" tabindex="-1" data-bs-backdrop="static" aria-labelledby="resetModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="resetModalLabel">Your New Temporary Password</h5>
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				<div class="modal-body">
					<div class="container">
						<div class="row">
							<div class="col d-flex justify-content-center">
								<div class="row">
									<div class="col">
										<p>Here's your new temporary password: <pre id="tempPass" class="fs-5"></pre></p>
									</div>
									<div class="col">
										<p>You'll still need to set a new password by going to <a id="recoveryPassFinalize" href="">this link here</a> to finalize.</p>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>

	<script src="/js/recovery.js"></script>

</body>
</html>